###########################################################################################
##		Created using Monkey Studio v1.8.4.0b2 (1.8.4.0b2)
##
##	Author    : quimup@coonsden.com
##	Project   : quimup
##	FileName  : quimup.pro
##	Date      : 2010-05-08T22:52:25
##	License   : GPL
##	Comment   :
##	Home Page   : http://www.coonsden.com
##
##	This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
##	WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
##
###########################################################################################

XUPProjectSettings {
	EDITOR	= QMake
	QT_VERSION	= Qt System (4.5.3)
}

TEMPLATE	= app
LANGUAGE	= C++/Qt4
TARGET	= $$quote(quimup)
CONFIG	-= qt
CONFIG	+= qt debug_and_release
BUILD_PATH	= ./build

QMAKE_CFLAGS_RELEASE	-= -O2
QMAKE_CXXFLAGS_RELEASE	-= -O2
QMAKE_CFLAGS_RELEASE	= -O3
QMAKE_CXXFLAGS_RELEASE	= -O3

CONFIG(debug, debug|release) {
	#Debug
	CONFIG	+= console
	unix:TARGET	= $$join(TARGET,,,_debug)
	else:TARGET	= $$join(TARGET,,,d)
	unix:OBJECTS_DIR	= $${BUILD_PATH}/debug/.obj/unix
	win32:OBJECTS_DIR	= $${BUILD_PATH}/debug/.obj/win32
	mac:OBJECTS_DIR	= $${BUILD_PATH}/debug/.obj/mac
	UI_DIR	= $${BUILD_PATH}/debug/.ui
	MOC_DIR	= $${BUILD_PATH}/debug/.moc
	RCC_DIR	= $${BUILD_PATH}/debug/.rcc
} else {
	#Release
	unix:OBJECTS_DIR	= $${BUILD_PATH}/release/.obj/unix
	win32:OBJECTS_DIR	= $${BUILD_PATH}/release/.obj/win32
	mac:OBJECTS_DIR	= $${BUILD_PATH}/release/.obj/mac
	UI_DIR	= $${BUILD_PATH}/release/.ui
	MOC_DIR	= $${BUILD_PATH}/release/.moc
	RCC_DIR	= $${BUILD_PATH}/release/.rcc
}


HEADERS	+= qm_clicklabel.h \
	qm_clickprogressbar.h \
	qm_colorpicker.h \
	qm_commandlist.h \
	qm_config.h \
	qm_core.h \
	qm_itemlist.h \
	qm_libraryview.h \
	qm_mpdcom.h \
	qm_player.h \
	qm_playlistview.h \
	qm_scroller.h \
	qm_settings.h \
	qm_songlist.h \
	qm_streamloader.h \
	qm_browser_ids.h \
	qm_browser.h \
	qm_trayicon.h \
	qm_widget_ids.h
SOURCES	+= qm_clickprogressbar.cpp \
	qm_colorpicker.cpp \
	qm_config.cpp \
	qm_core.cpp \
	qm_itemlist.cpp \
	qm_libraryview.cpp \
	qm_mpdcom.cpp \
	qm_player.cpp \
	qm_playlistview.cpp \
	qm_scroller.cpp \
	qm_settings.cpp \
	qm_songlist.cpp \
	qm_streamloader.cpp \
	qm_browser.cpp \
	qm_trayicon.cpp \
	qm_clicklabel.cpp \
	main.cpp
SUBDIRS	+= quimup.pro
RESOURCES	+= quimup.qrc
QT	= core gui webkit